petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscQuadratureSetData

Sets the data defining the quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureSetData(PetscQuadrature q, PetscInt dim, PetscInt npoints, const PetscReal points[], const PetscReal weights[])

Not collective

### Input Parameters

| q | - The PetscQuadrature object
| dim | - The spatial dimension
| npoints | - The number of quadrature points
| points | - The coordinates of each quadrature point
| weights | - The weight of each quadrature point

### Keywords

PetscQuadrature, quadrature

### See Also

PetscQuadratureCreate(), PetscQuadratureGetData()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages